// Unreal Fighting Framework by Kevin Poretti

#pragma once

#include "CoreMinimal.h"
#include "UObject/Interface.h"

#include "IFFStateOwnerInterface.generated.h"

UINTERFACE(MinimalAPI, NotBlueprintable)
class UFFStateOwnerInterface : public UInterface
{
	GENERATED_BODY()
};

/**
 * 
 */
class UNREALFIGHTINGFRAMEWORK_API IFFStateOwnerInterface
{
	GENERATED_BODY()

public:
    UFUNCTION(BlueprintCallable, Category="UFF State Owner Interface")
    virtual bool CheckInputSequence(const FFFInputSequence& InInputSequence) = 0;

    UFUNCTION(BlueprintCallable, Category="UFF State Owner Interface")
    virtual bool CheckInputSequences(const TArray<FFFInputSequence>& InInputSequences) = 0;

    virtual void DisableMostRecentInput() = 0;
};
